require 'redmine'

require 'dispatcher' unless Rails::VERSION::MAJOR >= 3

if Rails::VERSION::MAJOR >= 3
  #TODO
  ActionDispatch::Callbacks.to_prepare do
    # use require_dependency if you plan to utilize development mode
    require_dependency 'redmine_tlcit/patches/issue_patch'
    require_dependency 'redmine_tlcit/patches/issues_controller_patch'
    require_dependency 'redmine_tlcit/patches/project_patch'
    require_dependency 'redmine_tlcit/patches/query_patch'
    require_dependency 'redmine_tlcit/patches/queries_helper_patch'
    require_dependency 'redmine_tlcit/patches/issues_helper_patch'
    require_dependency 'redmine_tlcit/patches/application_helper_patch'
  end
else
  Dispatcher.to_prepare do
  #Dispatcher.to_prepare BW_AssetHelpers::PLUGIN_NAME do
    # Patches
    require_dependency 'redmine_tlcit/patches/issue_patch'
    require_dependency 'redmine_tlcit/patches/issues_controller_patch'
    require_dependency 'redmine_tlcit/patches/project_patch'
    require_dependency 'redmine_tlcit/patches/query_patch'
    require_dependency 'redmine_tlcit/patches/queries_helper_patch'
    require_dependency 'redmine_tlcit/patches/issues_helper_patch'
    require_dependency 'redmine_tlcit/patches/application_helper_patch'
  end
end


# Hooks
  require_dependency 'redmine_tlcit/hooks'

Redmine::Plugin.register :redmine_tlcit do
  name 'Redmine TelecomItalia'
  author ''
  description 'Adattamento di Redmine alle esigenze di TelecomItalia'
  version '1.02'

  permission :new_impacts, :impacts => :new
  permission :destroy_impacts, :impacts => :destroy

  settings(:partial => 'settings/tlcit_settings',
           :default => {
             'id_tracker_rda' => '0', 'id_tracker_impact' => '0'
           })

end
